/* $Id$ */
/* #ident "$Source$ $Revision$" */

/*
 * $Copyright$
 */

/*
 * Read major number, minor number and run time from specified arguments.
 */
BEGIN {
	maj_no=$1;
	min_no=$2;
	rtime=$3
}

/*
 * Whenever I/O done function is called. Check major and minor number with
 * specified major, minor numbers and display read I/O information.
 */
io:genunix::done
/args[1]->dev_major == maj_no && args[1]->dev_minor == min_no && (args[0]->b_flags & B_READ)/
{
	bcnt = args[0]->b_bcount / 512;
	printf("%d %d %d %d \n",
		args[1]->dev_major, args[1]->dev_minor, args[0]->b_blkno, bcnt);
}

/*
 * Mark the end of interval by 0s. If this interval is to be changed, change it
 * here and in vxcachepold and in smartassist.
 */
tick-600sec
{
	printf("0 0 0 0\n");
}

/*
 * Reduce run time after every 10 seconds.
 */
tick-10sec
{
	rtime = rtime - 10;
}

/*
 * Check if run time is less than or equal to 0, exit.
 */
tick-5sec
/rtime <= 0/
{
	exit(0);
}
